#!/bin/bash

# 获取当前日期，格式为 YYYY-MM-DD
CURRENT_DATE=$(date +%F)

# 日志文件路径，含日期
LOG_FILE="/home/ubuntu/luojunhui/logs/alg_server_log_$CURRENT_DATE.txt"

export TRANSFORMERS_OFFLINE=1

# 重定向整个脚本的输出到带日期的日志文件
exec >> "$LOG_FILE" 2>&1
if pgrep -f "/home/ubuntu/anaconda3/envs/alg/bin/python" > /dev/null
then
    echo "$(date '+%Y-%m-%d %H:%M:%S') - match_alg_server is running"
else
    echo "$(date '+%Y-%m-%d %H:%M:%S') - trying to restart match_alg_server"
    # 切换到指定目录
    cd /home/ubuntu/luojunhui/LongArticleAlgServer

    # 激活 Conda 环境
    source /home/ubuntu/miniconda3/etc/profile.d/conda.sh
    conda activate alg

    # 在后台运行 Python 脚本并重定向日志输出
    nohup hypercorn alg_app:app --config alg.toml >> "${LOG_FILE}" 2>&1 &
    echo "$(date '+%Y-%m-%d %H:%M:%S') - successfully restarted alg_server"
fi