"""
@author: luojunhui
"""


async def get_nlp_similarity_score(nlp, function, data, use_cache):
    """
    获取nlp的相似度分数
    """

    match function:
        case "similarities":
            return nlp.base_string_similarity(text_dict=data, use_cache=use_cache)
        case "similarities_cross":
            return nlp.base_list_similarity(pair_list_dict=data, use_cache=use_cache)
        case "similarities_cross_max":
            return nlp.max_cross_similarity(data=data)
        case "similarities_cross_avg":
            return nlp.avg_cross_similarity(data=data)
        case "similarities_cross_mean":
            return nlp.mean_cross_similarity(data=data)